org.richfaces.component

## Class AbstractSelectManyComponent

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.UISelectMany
          - - org.richfaces.component.AbstractSelectManyComponent

- All Implemented Interfaces:
    EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    AbstractOrderingComponent

      public abstract class AbstractSelectManyComponent
      extends javax.faces.component.UISelectMany

  Author:
    Brian Leathem

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.UISelectMany

      `COMPONENT_FAMILY, COMPONENT_TYPE, INVALID_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSelectManyComponent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<javax.faces.component.UIColumn>` | `columns()`
    `abstract String` | `getActiveClass()`
    `abstract String` | `getChangedClass()`
    `abstract String` | `getCollectionType()`
    `abstract String` | `getColumnClasses()`
    `abstract String` | `getDisabledClass()`
    `abstract String` | `getHeaderClass()`
    `abstract String` | `getItemClass()`
    `abstract String` | `getListHeight()`
    `abstract String` | `getListWidth()`
    `abstract String` | `getMaxListHeight()`
    `abstract String` | `getMinListHeight()`
    `abstract String` | `getOnblur()` Javascript code executed when this element loses focus.
    `abstract String` | `getOnchange()` Javascript code executed when the list element loses focus and its value has been modified since gaining focus.
    `abstract String` | `getOnclick()`
    `abstract String` | `getOndblclick()`
    `abstract String` | `getOnfocus()` Javascript code executed when this element receives focus
    `abstract String` | `getOnkeydown()`
    `abstract String` | `getOnkeypress()`
    `abstract String` | `getOnkeyup()`
    `abstract String` | `getOnmousedown()`
    `abstract String` | `getOnmousemove()`
    `abstract String` | `getOnmouseout()`
    `abstract String` | `getOnmouseover()`
    `abstract String` | `getOnmouseup()`
    `abstract String` | `getSelectItemClass()`
    `abstract String` | `getStyle()`
    `abstract String` | `getStyleClass()`
    `abstract String` | `getVar()`
    `abstract boolean` | `isDisabled()`
    `protected void` | `validateValue(javax.faces.context.FacesContext facesContext, Object value)` Override the validateValue of SelectMany in cases where the component implements SelectItemsInterface

    - ### Methods inherited from class javax.faces.component.UISelectMany

      `compareValues, getFamily, getSelectedValues, getValueBinding, getValueExpression, setSelectedValues, setValueBinding, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValue, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, setConverter`

- - ### Constructor Detail

    - #### AbstractSelectManyComponent

          public AbstractSelectManyComponent()

  - ### Method Detail

    - #### columns

          public Iterator<javax.faces.component.UIColumn> columns()

    - #### getVar

          public abstract String getVar()

    - #### getCollectionType

          public abstract String getCollectionType()

    - #### isDisabled

          public abstract boolean isDisabled()

    - #### getListWidth

          public abstract String getListWidth()

    - #### getListHeight

          public abstract String getListHeight()

    - #### getMinListHeight

          public abstract String getMinListHeight()

    - #### getMaxListHeight

          public abstract String getMaxListHeight()

    - #### getStyle

          public abstract String getStyle()

    - #### getActiveClass

          public abstract String getActiveClass()

    - #### getChangedClass

          public abstract String getChangedClass()

    - #### getStyleClass

          public abstract String getStyleClass()

    - #### getItemClass

          public abstract String getItemClass()

    - #### getSelectItemClass

          public abstract String getSelectItemClass()

    - #### getDisabledClass

          public abstract String getDisabledClass()

    - #### getColumnClasses

          public abstract String getColumnClasses()

    - #### getHeaderClass

          public abstract String getHeaderClass()

    - #### getOnchange

          public abstract String getOnchange()

      Javascript code executed when the list element loses focus and its value has been modified since gaining focus.

    - #### getOnfocus

          public abstract String getOnfocus()

      Javascript code executed when this element receives focus

    - #### getOnblur

          public abstract String getOnblur()

      Javascript code executed when this element loses focus.

    - #### getOnkeydown

          public abstract String getOnkeydown()

    - #### getOnkeypress

          public abstract String getOnkeypress()

    - #### getOnkeyup

          public abstract String getOnkeyup()

    - #### getOnclick

          public abstract String getOnclick()

    - #### getOndblclick

          public abstract String getOndblclick()

    - #### getOnmousedown

          public abstract String getOnmousedown()

    - #### getOnmousemove

          public abstract String getOnmousemove()

    - #### getOnmouseout

          public abstract String getOnmouseout()

    - #### getOnmouseover

          public abstract String getOnmouseover()

    - #### getOnmouseup

          public abstract String getOnmouseup()

    - #### validateValue

          protected void validateValue(javax.faces.context.FacesContext facesContext,
                           Object value)

      Override the validateValue of SelectMany in cases where the component implements SelectItemsInterface
      Overrides:
        `validateValue` in class `javax.faces.component.UISelectMany`
      Parameters:
        `facesContext` -
        `value` -

Copyright © 2014 JBoss by Red Hat. All rights reserved.